## com.bbn.openmap.layer.terrain
Interface TerrainTool

All Known Implementing Classes:
  LOSGenerator, ProfileGenerator

public interface TerrainTool

This is a interface that defines common functionality amoung tools (generators) used by the TerrainLayer.

Field Summary
`static int` `MAX_SPACE_BETWEEN_PIXELS`

Method Summary
`OMGraphicList` `getGraphics()` Get the current list of graphics from the tool.
`State` `getState()` Get the current state from the state machine of the tool.
`void` `init()` Tell the tool to initialize.
`void` `reset()` Tell the tool to reset.
`void` `setScreenParameters(Projection p)` Let the tool know what the screen looks like.

Field Detail

### MAX_SPACE_BETWEEN_PIXELS

    public static final int MAX_SPACE_BETWEEN_PIXELS

See Also:
  Constant Field Values

Method Detail

### init

    public void init()

  Tell the tool to initialize.

### reset

    public void reset()

  Tell the tool to reset.

### getGraphics

    public OMGraphicList getGraphics()

  Get the current list of graphics from the tool.

### setScreenParameters

    public void setScreenParameters(Projection p)

  Let the tool know what the screen looks like.

### getState

    public State getState()

  Get the current state from the state machine of the tool.

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details